        .text
	.globl incrementSequence
	.globl _incrementSequence
#define INCRAX \
	add x0, x0, 1;
#define QUAD(x) \
	x \
	x \
	x \
	x
	.align 4
incrementSequence:
_incrementSequence:
	mov x1, x0
	eor x0, x0, x0
.loop:
	sub x1, x1, 1
	QUAD(QUAD(QUAD(QUAD(INCRAX))))
	cbnz x1, .loop
	ret

